<template>
  <h1 class="display-6 fs-3 my-4 text-center">Generos Más Escuchados</h1>
  <div class="d-flex justify-content-evenly mt-1" style="margin-bottom: 100px;">
    <b-row>
      <b-col v-for="genero in generosMasEscuchados" :key="genero.id">
        <b-card
          :img-src="`${genero.img}`"
          img-alt="Image"
          img-top
          style="max-width: 14rem"
          class="mb-2 shadow text-center p-3"
        >
        <b-card-text v-if="genero.genero != ''">
              <h4 v-text="genero.genero" class="text-center"></h4>
            </b-card-text>
        </b-card>
      </b-col>
    </b-row>
  </div>
</template>

<script>
export default {
  data() {
    return {
      generosMasEscuchados: [],
    };
  },
  async mounted() {
    const generoMasEscuchado = {
      img: "http://www.importancia.org/wp-content/uploads/12-360x360.png",
      genero: "Rock"
    };
    this.generosMasEscuchados.push(generoMasEscuchado);
    this.generosMasEscuchados.push(generoMasEscuchado);
    this.generosMasEscuchados.push(generoMasEscuchado);
    this.generosMasEscuchados.push(generoMasEscuchado);
  },
};
</script>

<style>

</style>